Package com.independentsoft.office.word

# Class AlternateContent

java.lang.Object
com.independentsoft.office.word.AlternateContent

All Implemented Interfaces:
  `IContentElement`, `IBlockElement`, `IRunContent`

public class AlternateContent extends Object implements IBlockElement, IRunContent
Represents a markup-compatibility alternate-content block (mc:AlternateContent) which provides one or more `AlternateContentChoice` alternatives and an optional `AlternateContentFallback`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternateContent()`
  Instantiates a new alternate content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlternateContent`
  `clone()`
  Clones this instance.
  `List<AlternateContentChoice>`
  `getChoices()`
  Gets the list of `AlternateContentChoice` alternatives.
  `List<IContentElement>`
  `getContentElements()`
  `AlternateContentFallback`
  `getFallback()`
  Gets the optional `AlternateContentFallback`.
  `void`
  `setFallback​(AlternateContentFallback fallback)`
  Sets the optional `AlternateContentFallback`.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AlternateContent

    public AlternateContent()
    Instantiates a new alternate content.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public AlternateContent clone()
    Clones this instance.
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the cloned alternate content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChoices

    public List<AlternateContentChoice> getChoices()
    Gets the list of `AlternateContentChoice` alternatives.
    Returns:
      the choices

  - ### getFallback

    public AlternateContentFallback getFallback()
    Gets the optional `AlternateContentFallback`.
    Returns:
      the fallback

  - ### setFallback

    public void setFallback​(AlternateContentFallback fallback)
    Sets the optional `AlternateContentFallback`.
    Parameters:
      `fallback` - the new fallback